import threading
import pygame
import sys

def play_music(wavFile):
    pygame.mixer.init()
    pygame.mixer.music.load(wavFile)
    pygame.mixer.music.play()

def wait_for_input():
    pygame.event.wait()  # Wait for any Pygame event
    pygame.mixer.music.stop()

def play_sound_effect(wavFile):
    pygame.mixer.Sound(wavFile).play()

# Example usage
wav_file = 'Downloads/bleep.wav'

# Start the music in a separate thread
music_thread = threading.Thread(target=play_music, args=(wav_file,))
music_thread.start()

# Start the input thread
input_thread = threading.Thread(target=wait_for_input)
input_thread.start()

# Run the Pygame event loop in the main thread
pygame.init()

# Display
screen_width, screen_height = 1000, 600
screen = pygame.display.set_mode((screen_width, screen_height))
pygame.display.set_caption("Game Startup Screen")

# Fonts
font = pygame.font.Font(None, 36)

# Colors
black = (0, 0, 0)
white = (255, 255, 255)

# Function to display text on the screen and play sound
def display_text(message, y_offset=0):
    screen.fill(black)
    play_sound_effect(wav_file)  # Play the sound effect
    text = font.render(message, True, white)
    text_rect = text.get_rect(center=(screen_width // 2, screen_height // 2 + y_offset))
    screen.blit(text, text_rect)
    pygame.display.flip()

# Display startup screen
screen.fill(black)
welcome_text = font.render("Welcome to Corporate Trail", True, white)
welcome_rect = welcome_text.get_rect(center=(screen_width // 2, screen_height // 2 - 50))
screen.blit(welcome_text, welcome_rect)

start_text = font.render("Press any key to start the game", True, white)
start_rect = start_text.get_rect(center=(screen_width // 2, screen_height // 2 + 50))
screen.blit(start_text, start_rect)

pygame.display.flip()

# Wait for a key press
waiting_for_key = True
while waiting_for_key:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            sys.exit()
        elif event.type == pygame.KEYDOWN:
            waiting_for_key = False

# Display confirmation screen
display_text("Are you sure?", -50)
display_text("Press Y for Yes or N for No", 50)

# Wait for a key press
confirming = True
while confirming:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            sys.exit()
        elif event.type == pygame.KEYDOWN:
            if event.key == pygame.K_y:
                display_text("It's your funeral, pal.", -50)
                pygame.display.flip()
                pygame.time.delay(2000)

                # Additional text and delays
                display_text("Your name is Mr. Bartholomew Quiet-Bottom.", -50)
                pygame.display.flip()
                pygame.time.delay(4000)
                
                display_text("No, you can't change your name. ", -50)
                pygame.display.flip()
                pygame.time.delay(3000)
                
                display_text("Don't get mad at me, I'm just the messenger.", -50)
                pygame.display.flip()
                pygame.time.delay(3000)
                
                display_text("Don't make that face I gave you the option to leave.", -50)
                pygame.display.flip()
                pygame.time.delay(4000)
                
                display_text("Given your unfortunate name, you work an even more unfortunate job", -50)
                pygame.display.flip()
                pygame.time.delay(4000)
                
                display_text("You work in a cubicle. ", -50)
                pygame.display.flip()
                pygame.time.delay(4000)
                
                display_text("Ya know, doing the daily monotonous chores. ", -50)
                pygame.display.flip()
                pygame.time.delay(4000)
                
                display_text("Fetching coffee, bending over backwards for your boss, the whole shabang. ", -50)
                pygame.display.flip()
                pygame.time.delay(4000)
                
                display_text("But today, you thought to yourself, 'I hate it here! ", -50)
                pygame.display.flip()
                pygame.time.delay(4000)
                
                display_text("Do you wish to rebel? ", -50)
                pygame.display.flip()
                pygame.time.delay(4000)

                # Continue with the rest of your narrative...

            elif event.key == pygame.K_n:
                display_text("Oh. You're one of the smart ones.", 50)
                pygame.time.delay(2000)
                display_text("YOU DIED ANYWAYS", -50)
                pygame.display.flip()
                pygame.time.delay(2000)
                pygame.quit()
                sys.exit()
            confirming = False

# Game logic goes here
print("Game is starting!")

# Clean up and exit
pygame.quit()
sys.exit()
